## photopc 3.07

=== dos/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #	$Log: Makefile,v $
 #	Revision 2.9  1999/08/01 23:24:26  crosser
 #	DOS make in subdirectory
-#
+#	
 #	Revision 2.8  1999/03/22 06:08:44  lightner
 #	Fix logic to put ALL binaries into msdos/
 #	Add extra library to keep DOS link command line short
