=== debian/control ===
Source: photopc
Section: graphics
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), dh-autoreconf
Homepage: http://sourceforge.net/projects/photopc/

Package: photopc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Interface to digital still cameras
 This is a library and a command-line frontend to manipulate digital
 still cameras based on Fujitsu chipset and Sierra Imaging firmware. The
 program is known to work with Agfa, Epson and Olympus cameras. Should
 also work with Sanyo, but this is untested.
