=== debian/watch ===
version=3
http://sf.net/photopc/photopc-(\d\S+)\.tar\.(?:bz2|gz|xz)
